<header class="header">
  <mat-toolbar class="header-content">
    <a routerLink="/" class="header__link">
      {{ 'header.title' | translate }}
    </a>
    <nav class="navigation">
      <ul class="navigation-items-list">
        <li class="navigation-items-list__start">
          <a routerLink="map" class="header__link">
            {{ 'header.explore' | translate }}
          </a>
        </li>

        <ng-container *ngIf="isLoggedIn$ | async; else userNotLoggedInTemplate">
          <li>
            <button mat-button (click)="goToProfile()">
              <span class="navigation-items-list__icon-button">
                <mat-icon>account_circle</mat-icon>
                {{ 'header.profile_page' | translate }}
              </span>
            </button>
          </li>

          <li>
            <button mat-button (click)="logOut()">
              {{ 'header.log_out' | translate }}
            </button>
          </li>
        </ng-container>

        <ng-template #userNotLoggedInTemplate>
          <li>
            <button mat-raised-button color="accent" (click)="goToRegistration()">
              {{ 'header.sign_up' | translate }}
            </button>
          </li>

          <li>
            <button mat-button (click)="goToLogin()">
              {{ 'header.log_in' | translate }}
            </button>
          </li>
        </ng-template>
      </ul>
    </nav>
  </mat-toolbar>
</header>
